Index: uspace/lib/drv/generic/remote_usbdiag.c
===================================================================
--- uspace/lib/drv/generic/remote_usbdiag.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/lib/drv/generic/remote_usbdiag.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -144,25 +144,25 @@
 
 void remote_usbdiag_test_in(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
 
 	size_t size;
-	cap_call_handle_t data_callid;
-	if (!async_data_write_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t data_chandle;
+	if (!async_data_write_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_params_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	usbdiag_test_params_t params;
-	if (async_data_write_finalize(data_callid, &params, size) != EOK) {
-		async_answer_0(callid, EINVAL);
+	if (async_data_write_finalize(data_chandle, &params, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -173,50 +173,50 @@
 
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-		return;
-	}
-
-	if (!async_data_read_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, ret);
+		return;
+	}
+
+	if (!async_data_read_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_results_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	if (async_data_read_finalize(data_callid, &results, size) != EOK) {
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	async_answer_0(callid, ret);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	if (async_data_read_finalize(data_chandle, &results, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	async_answer_0(chandle, ret);
 }
 
 void remote_usbdiag_test_out(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
 
 	size_t size;
-	cap_call_handle_t data_callid;
-	if (!async_data_write_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t data_chandle;
+	if (!async_data_write_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_params_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	usbdiag_test_params_t params;
-	if (async_data_write_finalize(data_callid, &params, size) != EOK) {
-		async_answer_0(callid, EINVAL);
+	if (async_data_write_finalize(data_chandle, &params, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -227,26 +227,26 @@
 
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-		return;
-	}
-
-	if (!async_data_read_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, ret);
+		return;
+	}
+
+	if (!async_data_read_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_results_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	if (async_data_read_finalize(data_callid, &results, size) != EOK) {
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	async_answer_0(callid, ret);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	if (async_data_read_finalize(data_chandle, &results, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	async_answer_0(chandle, ret);
 }
 
